Summary: 	Network traffic analyzer
Name: 		ethereal
Version:	0.9.3
Release: 	1
Copyright: 	GPL
Group: 		Applications/Network
Source0: 	http://www.ethereal.com/distribution/%{name}-%{version}.tar.gz
Source1: 	ethereal.wmconfig
Source2:	ethereal-usermode.tar.gz
Source3:	ethereal-gnome1.2.tar.gz
Source4:	ethereal-kde2.tar.gz
Url: 		http://www.ethereal.com/
BuildRoot: 	%{_tmppath}/%{name}-root
Icon: 		ethereal-logo-small.gif
Packager: 	Henri Gomez <hgomez@slib.fr>, Riku Meskanen <mesrik@iki.fi>
Requires: 	gtk+ >= 1.2
Requires: 	libpcap >= 0.4
Requires: 	ucd-snmp >= 4.2
BuildRequires: 	libpcap >= 0.4
BuildRequires: 	ucd-snmp-devel >= 4.2
BuildRequires: 	zlib-devel
BuildRequires:  openssl

%package   base
Summary:   ethereal base package
Group:     Applications/Network
Requires:  libpcap >= 0.4
Requires:  ucd-snmp
Obsoletes: ethereal

%package   gtk+
Summary:   GTK+ GUI for ethereal package
Group:     Applications/Network
Requires:  gtk+ >= 1.2
Requires:  usermode >= 1.37
Requires:  ethereal-base == %{version}-%{release}
Provides:  ethereal

%package   usermode
Summary:   Red Hat usermode -package integration for ethereal
Group:     Applications/Network
Requires:  usermode >= 1.37
Requires:  ethereal-base == %{version}-%{release}
Requires:  ethereal-gtk+ == %{version}-%{release}

%package   gnome
Summary:   Red Hat Gnome integration for ethereal and ethereal-usermode
Group:     Applications/Network
Requires:  gnome-core >= 1.2
Requires:  usermode >= 1.37
Requires:  ethereal-base == %{version}-%{release}
Requires:  ethereal-gtk+ == %{version}-%{release}
Requires:  ethereal-usermode == %{version}-%{release}

%package   kde
Summary:   Red Hat KDE integration for ethereal and ethereal-usermode
Group:     Applications/Network
Requires:  kdebase >= 2.0
Requires:  usermode >= 1.37
Requires:  ethereal-base == %{version}-%{release}
Requires:  ethereal-gtk+ == %{version}-%{release}
Requires:  ethereal-usermode == %{version}-%{release}

# dummy, needed for RPM build time
%description

%description base
Ethereal is a network traffic analyzer for Unix-ish operating systems.

This package lays base for libpcap, a packet capture and filtering 
library, contains command-line utilities, contains plugins and 
documentation for ethereal. A graphical user interface is packaged 
separately to GTK+ package.

%description gtk+
Contains GTK+ GUI ie. the ethereal -application.

%description usermode
Contains ethereal integration to usermode execution package

%description gnome
Contains ethereal icon for Gnome 1.2 and desktop integration file

%description kde
Contains ethereal icons for KDE2 and desktop integration files

%prep
%setup -q
#%patch

%build
#CC="gcc -I/usr/include/pcap" CFLAGS="$RPM_OPT_FLAGS" \
#CC="gcc -I%{_includedir}/pcap" CFLAGS="$RPM_OPT_FLAGS" \
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
   --prefix=%{_prefix} \
   --bindir=%{_sbindir} \
   --sysconfdir=%{_sysconfdir}/ethereal \
   --mandir=%{_mandir} \
   --enable-zlib \
   --enable-snmp \
   --with-ucdsnmp \
   --with-ssl \
   --enable-pcap \
   --with-gnu-ld \
   --disable-static \
   --with-plugindir=%{_libdir}/%{name}/plugins/%{version}
make

%install
rm -rf ${RPM_BUILD_ROOT}

make DESTDIR=${RPM_BUILD_ROOT} install

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/wmconfig
install -m 644 $RPM_SOURCE_DIR/ethereal.wmconfig \
	${RPM_BUILD_ROOT}%{_sysconfdir}/X11/wmconfig/ethereal

# unpack support files for usermode, gnome and kde
( cd ${RPM_BUILD_ROOT} 
  tar xvzf %{SOURCE2}
  tar xvzf %{SOURCE3}
  tar xvzf %{SOURCE4} )

# install man
mkdir -p ${RPM_BUILD_ROOT}/%{_mandir}/man1
install -m 644 *.1 ${RPM_BUILD_ROOT}/%{_mandir}/man1

# Remi
strip --strip-debug ${RPM_BUILD_ROOT}%{_sbindir}/ethereal
find ${RPM_BUILD_ROOT}%{_libdir}/ethereal/plugins -type f -name "*.so" \
| xargs -n1 strip --strip-debug


%clean
rm -rf ${RPM_BUILD_ROOT}

%files base
%defattr(-,root,root)
%config %{_sysconfdir}/ethereal/manuf
%attr(755,root,root) %{_sbindir}/editcap
%attr(755,root,root) %{_sbindir}/tethereal
%{_mandir}/man1/editcap.*
%{_mandir}/man1/tethereal.*
%dir %{_libdir}/ethereal
%dir %{_libdir}/ethereal/plugins
%dir %{_libdir}/ethereal/plugins/%{version}/
%{_libdir}/ethereal/plugins/%{version}/*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* doc/

%files gtk+
%defattr(-,root,root)
%config(missingok) %{_sysconfdir}/X11/wmconfig/ethereal
%attr(755,root,root) %{_sbindir}/ethereal
%{_mandir}/man1/ethereal.*

%files usermode
%defattr(0644,root,root)
%{_sysconfdir}/pam.d/ethereal
%{_sysconfdir}/security/console.apps/ethereal
%attr(-,root,root) %{_bindir}/ethereal

%files gnome
%defattr(0755,root,root)
%dir %{_datadir}/gnome/apps/Applications/Network
%defattr(0644,root,root)
%config(noreplace missingok) %{_datadir}/gnome/apps/Applications/Network/.directory
%{_datadir}/gnome/apps/Applications/Network/ethereal.desktop
%{_datadir}/pixmaps/ethereal.png

%files kde
%defattr(0755,root,root)
%dir %{_datadir}/applnk/Applications/Network
%defattr(0644,root,root)
%config(noreplace missingok) %{_datadir}/applnk/Applications/Network/.directory
%{_datadir}/applnk/Applications/Network/ethereal.desktop
%{_datadir}/icons/hicolor/16x16/apps/ethereal.png
%{_datadir}/icons/hicolor/22x22/apps/ethereal.png
%{_datadir}/icons/hicolor/32x32/apps/ethereal.png
%{_datadir}/icons/hicolor/48x48/apps/ethereal.png
%{_datadir}/icons/locolor/16x16/apps/ethereal.png
%{_datadir}/icons/locolor/22x22/apps/ethereal.png
%{_datadir}/icons/locolor/32x32/apps/ethereal.png
%{_datadir}/icons/locolor/48x48/apps/ethereal.png

%changelog
* Tue Apr 02 2002 Henri Gomez <hgomez@slib.fr>
- 0.9.3
- security fixes and more (read NEWS)

* Mon Mar 04 2002 Henri Gomez <hgomez@slib.fr>
- 0.9.2
- built on Redhat 6.2 + updates

* Mon Feb 04 2002 Henri Gomez <hgomez@slib.fr>
- 0.9.1
- built on Redhat 6.2 + updates

* Mon Jan 07 2002 Henri Gomez <hgomez@slib.fr>
- 0.9.0
- built on Redhat 6.2 + updates
- Too many updates to report here, take a look in NEWS

* Tue Oct 23 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.20

* Thu Jul 20 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.19
- RPM built on Redhat 6.2, updates, rpm 3.0.5 and ucd-snmpd 4.2
  against libpcap 0.6.2 (tcpdump 3.6.2) and openssl 0.9.6

* Thu May 17 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.18
- Many improvement, take a look at NEWS in %{doc}
- Reduced the changelog history in .spec 

* Thu Apr 26 2001 Henri Gomez <hgomez@slib.fr>
- rebuilt under Redhat 6.2 + updates 
- reverted from rpm 4.0.2 to 3.0.5 for better compatibility with Redhat 6.x
- thanks Riku for the great refactory of the spec

* Thu Apr 26 2001 Riku Meskanen <mesrik@iki.fi>
- new binary package rearrangement, separated stuff that needs X11
- I changed, and I'm proposing group to Applications/Network for now ... as 
  the /usr/share/doc/rpm-*/GROUPS 'official' list does not have appropriate
  group for networking applications and leads them to be scattered around.
  The tcpdump is now at System/Internet and nmap from Applications/System, 
  the X11/* group is now on current distros mostly dead ... the X11/* tree 
  seems to still live on contrib packages. Well if it's necessary to show X11
  in group-name, I would rather suggest then Applications/Network{,ing}/X11 
  would make more sense and keep all applications closer together and all 
  it's bits and bobs easier locatable on multiple packages are built from
  one source package.

* Mon Apr 23 2001 Riku Meskanen <mesrik@iki.fi>
- rebuilt for RedHat 7.1
- created support for usermode
- added icons & config files for gnome and kde desktop integration
- added %dir %{_libdir}/ethereal/plugins to get clean uninstall
- further spec file minor cleaning, converted absolute paths to
  macros for better relocatability

* Sun Apr 16 2001  Henri Gomez <hgomez@slib.fr>
- 0.8.17 (grabbed corrected 0.8.17a archive)
- RPM built on Redhat 6.2, updates, rpm 4.0

* Tue Mar 06 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.16
- RPM built on Redhat 6.1, updates, rpm 3.0.5 and libpcap-0.4-19
- ucd-snmp used 0.4.2-5 (added -lcrypto)
